/*
For the Macintosh World
to compile: javac -classpath .:KarelJRobot.jar kareltherobot/*.java
to run:   java -cp .:KarelJRobot.jar kareltherobot.Application
For the Windows World
to compile:  javac -classpath .;KarelJRobot.jar kareltherobot/*.java
to run: java -cp .;KarelJRobot.jar kareltherobot.Application
*/

//************************************

/*
  - One robot starts on st 2, ave 1 and puts down 5 beepers on 10 corners.  Then puts 8 on the 
  11th corner before moving away and turning off.
  - The user is then asked how many beepers the next robot should start with.
  - A second robot puts down 1/4 of those beepers on each of the first four intersections in the 
  southernmost row.
  - A third robot then starts on the top row in the east column, moves to the west column, places
  a beeper, returns to the east column, places a beeper, and moves to the middle of that row.
  - A fourth robot then draws a V on the screen, with 3 beepers on each intersection except the bottom
  of the V, which has 6.
  
  written by Scott McElfresh

*/

package kareltherobot;
import javax.swing.JOptionPane;

public class Application implements Directions
{	
    public static void main(String[] args)
	{	
	    // set up the world
		World.setVisible(true);
		World.readWorld("clear.txt");
		World.setTrace(false);
		World.setSize(15,15);
		World.setDelay(5);
		
		
	    MultiRobot joe = new MultiRobot(2,1,East,200);   // st 2, ave 1, 200 beepers
		
		int count = 0; 
		while (count < 10)
		{
		   joe.multiput(5);   // put down 5 beepers
		   joe.move();
		   count = count + 1;
		}
		joe.multiput(8);  // put down 8 beepers here
		
		joe.move();
		joe.move();
		joe.move();
		joe.turnOff();
		
/*
		String beeps = JOptionPane.showInputDialog("How many beepers should the next robot start with?");
		int beepers = Integer.parseInt(beeps);
		
		MultiRobot karel = new MultiRobot(East,beepers);  // start on street 1, avenue 1
		
	    count = 0;
	    while (count < 4)
	    {   karel.multiput (beepers /4 );   // put down 1/4 of the beepers
		    karel.move();   
		    count ++; // this is the same as count = count + 1;
		}
		
		karel.turnOff();
*/		
		
/*
		MultiRobot jane = new MultiRobot(15, 1, East);  // start on street 15, avenue 1, 2 beepers
		
	    jane.multimove(14);  // move 14 times
	    jane.putBeeper();
	    jane.turnAround();
	    jane.multimove(14); 
	    jane.putBeeper();
	    jane.turnAround();  
	    jane.multimove(7);   /// move 7 times
		
		jane.turnOff();
		
		
*/
/*		
		
		MultiRobot scott = new MultiRobot(5, 1, East, 500);  // start on street 5, avenue 1, 500 beepers
		
	    scott.multimove(7);
		int row = 0;
		while (row < 7)
		{
		    scott.multiput(3);
		    scott.multimove(row * 2);
		    scott.multiput(3);
		    scott.turnAround();
		    scott.multimove(row * 2 + 1);
		    scott.turnRight();
		    scott.move();
		    scott.turnRight();
		    row ++;
		}
			
		scott.turnOff();
*/

	}

}